osl::checkmate::ProofNumberTable::Liberty Struct Reference

`#include <proofNumberTable.h>`

## Public Member Functions

| Liberty (uint8_t l=0, bool e=false)

## Public Attributes

uint8_t | liberty
| 玉の自由度の予測値.
bool | has_effect
| false の場合は必ず空き王手

## Detailed Description

Definition at line 18 of file proofNumberTable.h.

## Constructor & Destructor Documentation

## Liberty()

osl::checkmate::ProofNumberTable::Liberty::Liberty | ( | uint8_t | l = 0,
|  | bool | e = false )

inline explicit

Definition at line 24 of file proofNumberTable.h.

References has_effect, and liberty.

## Member Data Documentation

## has_effect

bool osl::checkmate::ProofNumberTable::Liberty::has_effect

false の場合は必ず空き王手

Definition at line 23 of file proofNumberTable.h.

Referenced by osl::checkmate::ProofNumberTable::countLiberty(), osl::checkmate::ProofNumberTable::init(), and Liberty().

## liberty

uint8_t osl::checkmate::ProofNumberTable::Liberty::liberty

玉の自由度の予測値.

空王手の場合は 0 のことがある．

Definition at line 21 of file proofNumberTable.h.

Referenced by osl::checkmate::ProofNumberTable::countLiberty(), osl::checkmate::ProofNumberTable::init(), and Liberty().

The documentation for this struct was generated from the following file:

- proofNumberTable.h